AreaChartProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.AreaChartProperties,AreaChartProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class AreaChartProperties

    java.lang.Object
      |
      +--org.jCharts.properties.ChartTypeProperties
            |
            +--org.jCharts.properties.AxisChartTypeProperties
                  |
                  +--org.jCharts.properties.AreaChartProperties

All Implemented Interfaces:
  HTMLTestable

Direct Known Subclasses:
  StackedAreaChartProperties

public class AreaChartProperties
extends AxisChartTypeProperties

Field Summary

Fields inherited from class org.jCharts.properties.AxisChartTypeProperties
``

Constructor Summary
`AreaChartProperties()`

Method Summary
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` | `validate(IAxisPlotDataSet iAxisPlotDataSet)` Validates the properties.

Methods inherited from class org.jCharts.properties.AxisChartTypeProperties
`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaChartProperties

    public AreaChartProperties()

Method Detail

### validate

    public void validate(IAxisPlotDataSet iAxisPlotDataSet)
                  throws PropertyException

  Validates the properties.

  Specified by:
    `validate` in class `AxisChartTypeProperties`
  Parameters:
    `iAxisPlotDataSet` -
  Throws:
    `PropertyException`

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Parameters:
    `htmlGenerator` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD